<template>
	<Document :prj-list="prjList" :archived="true" :hiddenCategoryFilterItem="true"/>
</template>

<script lang="ts" setup>
import Document from '@/pages/project/components/detail/document/document-layout.vue'
import { getProjectList } from '@/api/project-center/info';

const prjList = ref<{ id: string, name: string }[]>([])

/**
 * 获取项目列表
 */
const getProjects = async () => {
	try {
		const { list } = await getProjectList({ page_no: 1, page_size: 9999 })
		prjList.value = list
	} catch (e) {
		console.error(e)
	}
}

onLoad((options) => {
	console.log(options)
})

onMounted(() => {
	getProjects()
})

</script>
<script lang="ts">
export default {
	options: {
		styleIsolation: 'apply-shared', //解除样式隔离
	}

}
</script>
<style scoped lang="scss">
.c-nav-bar {
	&__content {
		color: red;
	}
}


.box-bg {
	background-color: #F5F5F5;
}


.input-view {
	/* #ifndef APP-PLUS-NVUE */
	display: flex;
	/* #endif */
	flex-direction: row;
	flex: 1;
	flex-wrap: nowrap;
	margin: 7px 3px 7px 0px;
	line-height: 30px;
}

.input-uni-icon {
	line-height: 30px;
}

.nav-bar-input {
	height: 30px;
	line-height: 30px;
	/* #ifdef APP-PLUS-NVUE */
	/* #endif */
	padding: 0 5px;
	font-size: 12px;
	background-color: #f8f8f8;
}

:deep(.uni-searchbar__box-icon-clear) {
	padding-top: 5px;
}

.uni-navbar {
	&__header {
		padding: 0 !important
	}
}

:deep(.uni-searchbar) {
	padding: 0;
	width: 100%
}

:deep(.uni-searchbar__box) {
	height: 30px !important;
}

:deep(.uni-navbar__header-container) {
	padding: 0px !important;
}


:deep(.uni-searchbar__cancel) {
	height: 30px;
	line-height: 30px;
}
</style>
